#
# spec file for package evolution-data-server (Version 2.28.2)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           evolution-data-server
%define _evo_version 2.28
BuildRequires:  bison
BuildRequires:  db-devel
%if %suse_version > 1100
BuildRequires:  evoldap2-devel
%else
BuildRequires:  openldap2-devel
%endif
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  gnome-certauth-devel
BuildRequires:  gnome-common
BuildRequires:  gnome-keyring-devel
BuildRequires:  gtk-doc
BuildRequires:  intltool
BuildRequires:  krb5-devel
BuildRequires:  libbonobo-devel
BuildRequires:  libglade2-devel
BuildRequires:  libgweather-devel >= 2.25.4
BuildRequires:  libical-devel >= 0.43
BuildRequires:  libidl-devel
BuildRequires:  libsoup-devel
BuildRequires:  mozilla-nss-devel
BuildRequires:  nss-shared-helper-devel
BuildRequires:  perl-XML-Parser
BuildRequires:  python-devel
BuildRequires:  sgml-skel
BuildRequires:  sqlite3-devel
BuildRequires:  translation-update-upstream
License:        GPLv2+
Group:          Development/Libraries/GNOME
# bug437293
%ifarch ppc64
Obsoletes:      evolution-data-server-64bit
%endif
%ifarch  %ix86 ppc
Obsoletes:      evolution-data-server-32bit
%endif
Summary:        Evolution Data Server
Version:        2.28.2
Release:        0.3.1
Source0:        ftp://ftp.gnome.org/pub/gnome/sources/evolution-data-server/2.25/%{name}-%{version}.tar.bz2
# PATCH-NEEDS-REBASE evolution-data-server-1.11.5-cert-auth-complete.patch bgo253574 -- Fix has been submitted to bgo. (was PATCH-FIX-UPSTREAM)
#Patch3:         evolution-data-server-1.11.5-cert-auth-complete.patch
# PATCH-NEEDS-REBASE bnc-304835-ex-crash-after-restart.patch bnc304835 bgo253574 -- Fix has been submitted to bgo. (was PATCH-FIX-UPSTREAM)
#Patch4:         bnc-304835-ex-crash-after-restart.patch
# PATCH-NEEDS-REBASE bnc-307861-calendar-auth.diff -- bnc307861 bgo253574 -- Fix has been submitted to bgo. (was PATCH-FIX-UPSTREAM)
#Patch5:         bnc-307861-calendar-auth.diff
# PATCH-FEATURE-OPENSUSE dice-eds-changes.patch pchenthill@novell.com -- Patch yet to be pushed upstream
Patch7:         dice-eds-changes.patch
# PATCH-NEEDS-REBASE bnc-210959-eds-accept_ics.patch bnc210959  pchenthill@novell.com -- Patch yet to be pushed upstream. (Was: PATCH-FIX-UPSTREAM)
#Patch16:        bnc-210959-eds-accept_ics.patch
# PATCH-FEATURE-OPENSUSE evolution-data-server-shared-nss-db.patch hpj@novell.com -- Migrate to shared NSS database.
Patch18:        evolution-data-server-shared-nss-db.patch
# PATCH-FIX-UPSTREAM bnc-568822-pop3-err-handling.diff pchenthill@novell.com -- Already in upstream.
Patch19:        bnc-568822-pop3-err-handling.diff
# PATCH-FIX-UPSTREAM bnc-595936-bgo-600322-remove-crashy-assert.patch -- Patch is from upstream 2.28.3 release.
Patch20:        bnc-595936-bgo-600322-remove-crashy-assert.patch
Url:            http://www.gnome.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       %{name}-lang = %{version}
Requires:       libsoup >= 2.2.6
Requires:       mozilla-nss
%if %suse_version > 1100
Requires:       libevoldap-2_4-2
%endif
Requires:       libical0 >= 0.43

%description
Evolution Data Server provides a central location for your address book
and calendar in the GNOME Desktop.



%package devel
License:        GPLv2+
Summary:        Evolution Data Server Development Files
Group:          Development/Libraries/GNOME
Requires:       evolution-data-server = %{?epoch:}%{version}-%{release}
Requires:       gconf2-devel
Requires:       glib2-devel
Requires:       gnome-certauth-devel
Requires:       gnome-keyring-devel
Requires:       gnome-vfs2-devel
Requires:       gtk2-devel
Requires:       krb5-devel
Requires:       libbonobo-devel
Requires:       libcom_err
Requires:       libglade2-devel
Requires:       libgweather-devel >= 2.25.4
Requires:       libgpg-error-devel
Requires:       libical-devel >= 0.43
Requires:       libsoup-devel
Requires:       libxml2-devel
Requires:       nss-shared-helper-devel
Requires:       orbit2-devel
Requires:       sqlite3-devel
%if %suse_version > 1100
Requires:       evoldap2-devel
%else
Requires:       openldap2-devel
%endif

%description devel
The Evolution Data Server development files provide the necessary
libraries, headers, and other files for developing applications which
use the Evolution Data Server for storing contact and calendar
information.



%package doc
License:        GPLv2+
Summary:        Additional Package Documentation for the evolution-data-server
Group:          Development/Libraries/GNOME
Requires:       %{name} = %{version}

%description doc
Evolution Data Server provides a central location for your address book
and calendar in the GNOME Desktop. This package contains additional
documentation.



%lang_package
%prep
%setup -q
translation-update-upstream
###%patch3
###%patch4
###%patch5
%patch7 -p1
# NEEDS REBASE
# %%patch16
%patch18 -p1
%patch19 -p1
%patch20 -p1

%build
NOCONFIGURE=1 gnome-autogen.sh
%{configure} \
    --libexecdir=%{_libdir}/evolution-data-server \
%if %suse_version > 1100
    --with-openldap=%{_libdir}/evoldap \
%else
    --with-openldap=yes \
%endif
    --with-krb5=%{_prefix} \
    --with-krb4=%{_prefix} \
    --enable-gnome-keyring \
    --enable-gtk-doc \
    --enable-ipv6=yes \
    --enable-nss=yes \
    --enable-nspr=yes \
    --enable-smime=yes \
    --enable-nntp=yes \
    --enable-hula=yes \
    --enable-exchange=yes \
    --with-e2k-debug \
    --disable-static
%{__make} %{?jobs:-j%jobs}

%install
%{makeinstall}
# Remove the libtool archive files
%{__rm} $RPM_BUILD_ROOT/%{_libdir}/*.la
%{__rm} $RPM_BUILD_ROOT/%{_libdir}/*/*/*.la
%find_lang evolution-data-server-%{_evo_version}
%fdupes $RPM_BUILD_ROOT
%if %suse_version > 1100
%{__mv} $RPM_BUILD_ROOT/%{_libdir}/evolution-data-server/evolution-data-server-%{_evo_version} $RPM_BUILD_ROOT/%{_libdir}/evolution-data-server/evolution-data-server-%{_evo_version}.bin
echo -e "#!/bin/bash\n\nLD_LIBRARY_PATH=%{_libdir}/evoldap/lib exec -a \"%{_libdir}/evolution-data-server/evolution-data-server-%{_evo_version}\" %{_libdir}/evolution-data-server/evolution-data-server-%{_evo_version}.bin \"\$@\"" > $RPM_BUILD_ROOT/%{_libdir}/evolution-data-server/evolution-data-server-%{_evo_version}
%{__chmod} +x $RPM_BUILD_ROOT/%{_libdir}/evolution-data-server/evolution-data-server-%{_evo_version}
%endif

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS TODO
%{_datadir}/evolution-data-server-%{_evo_version}
%{_datadir}/idl/evolution-data-server-1.2
%{_datadir}/pixmaps/evolution-data-server
%{_libdir}/*.so.*
%{_libdir}/bonobo/servers/*
%{_libdir}/evolution-data-server
%{_libdir}/evolution-data-server-1.2

%files lang -f evolution-data-server-%{_evo_version}.lang

%files devel
%defattr(-, root, root)
%{_includedir}/evolution-data-server-%{_evo_version}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files doc
%defattr(-, root, root)
%{_datadir}/gtk-doc/html/*

%changelog
* Mon Apr 12 2010 saarmstrong@novell.com
- Patches added:
  + bnc#595936 - Fix crash from assert.
* Fri Jan 22 2010 pchenthill@suse.de
- Patches added
    + bnc#568822 - bnc-568822-pop3-err-handling.diff: VUL-0:
    crash caused overly large window due to malicious POP3 server
- SWAMP id - 30252
* Mon Dec 14 2009 dimstar@opensuse.org
- Update to version 2.28.2:
  + bgo#394567 - Use correct FBTYPE values in GroupWise calendar
    backend
  + bgo#574940 - Crash in message_info_to_db()
  + bgo#593023 - Deleting an imported recurrent event will remain
  + bgo#594502 - Some google calendar meetings don't show up
  + bgo#598971 - Preserve selection in ENameSelectorEntry if
    possible
  + bgo#599671 - gtk_tree_view_column_get_cell_renderers() is
    deprecated
  + bgo#600449 - segfault in camel_msgport_destroy
  + bgo#600573 - e-addressbook-factory aborts on ldap lookup
  + bgo#602719 - Crash in ep_set_proxy with no proxy user or
    password
  + bgo#603437 - Fix few memory leaks
  + bgo#603689 - Improper escaping of folder name
- Changes from version 2.28.1:
  + bgo#270893 - Support client certificates for IMAP
  + bgo#593019 - Importing event with pseudo "Etc/UTC" timezone
    crashed
  + bgo#593023 - Deleting an imported recurrent event will remain
  + bgo#594502 - Some google calendar meetings don't show up
  + bgo#595082 - Contacts displayed twice in new email contact list
  + bgo#596157 - Use "Message-ID" instead of "Message-Id"
* Tue Sep 22 2009 dimstar@opensuse.org
- Update to version 2.28.0
  + Notable changes:
  - Better Calendar cache
  - Improved Caldav support
  - Converstaion threading support for GroupWise
  + Calendar:
  - bgo#494394 - Check backends with their uri too forward compat
  + Mailer:
  - bgo#592310 - Adds an environment variable to skip summary
    check
  + Updated translations.
* Wed Sep  9 2009 dimstar@opensuse.org
- Update to version 2.27.92:
  + Mailer:
  - bgo#350007 - evolution busy-waits on GPG signing operations
  - bgo#578910 - Fixes problem of missing migration for left out
    folders
  + Other fixes:
  - Show filename in password file load/save warnings
  - Paste of e-mail always goes to the left most position
  - Expand <group> inline adds control codes
  - vee_rebuild_folder() code cleanup and adding comments
  + Updated translations.
* Fri Sep  4 2009 riggwelter@opensuse.org
- bnc#481001: Requires libical0 >= 0.43
* Mon Aug 24 2009 dimstar@opensuse.org
- Update to version 2.27.91:
  + Mailer:
  - bgo#350007 - evolution busy-waits on GPG signing operations
  - bgo#571206 - Index files on Maildir accounts are not updated
    on move
  - bgo#590044 - Drop index on all columns of sqlite database
  - bgo#592310 - Deadlock in maildir provider after doing expunge
  + Miscellaneous:
  - bgo#591324 - Cosmetic changes and fixes in configure.ac
  - bgo#591326 - Keep m4 macros in their own folder
  - bgo#591377 - Fails to detect krb5 in configure with
  - as-needed
  + Other fixes:
  - Updated the macros from latest gtk-doc.m4
  + Updated translations
- Drop evolution-data-server-krb5-as-needed.patch, upstreamed.
- Use gnome-autogen.sh to reconfigure instead of intltool, automake
  and autoconf.
* Mon Aug 10 2009 dominique-obs@leuenberger.net
- Update to version 2.27.90:
  + Calendar:
  - bgo#579965 - calendar file backend, update 'LAST-MODIFIED'
    when removing a recurring event instance
  - bgo#589985 - eds crash trying to create an event.
  + Mail:
  - bgo#511283 - Some imags do not display in Evolution mail
    reader
  + Miscellaneous:
  - bgo#590697 - Build regression detecting com_err.h
  - bgo#589388 - Build fixes / enhancements for EDS
  + Other Fixes:
  - Enforce including only top-level GLib and GTK+ headers
  + Updated translations.
- Added evolution-data-server-krb5-as-needed.patch
* Fri Jul 31 2009 vuntz@novell.com
- Correctly comment out patch that needs rebasing.
* Wed Jul 29 2009 dominique-obs@leuenberger.net
- Update to version 2.27.5:
  + Address Book:
  - bgo#587558 - Removing a picture of a contact in an LDAP
    addressbook crashes evolution
  - bgo#589325 - Evolution Contacts reports ambiguous error on
    Google Contacts authentication failure with bad password
  + Calendar:
  - bgo#572176 - Allow local iCal files to be selected as
    calendar source
  - bgo#586342 - CalDAV backend does not support attachments
  - bgo#588857 - CalDAV for Google calendars should allow email
    notifications
  + Mail:
  - bnc#524219 - Unable to read forward groupwise mails in other
    clients
  - bgo#588220 - Evolution crashed when starting with local
    account configured
  - bgo#588573 - NULL string comparison in
    camel-search-sql-sexp.c
  + Miscellaneous:
  - bgo#583374 - The broken Google calendar import should be
    replaced by the working CalDAV support
  - bgo#588277 - Unnecessary special-purpose configure flag
  + Other Fixes:
  - Handle quota error messages
  - Return the proper timezone to get the counts right in all
    timezones.
  - CamelVeeFolder - pass exceptions to functions instead of NULL
  - Migrate caldav, groupwise, http, weather backends to
    ECalBackendStore.
* Thu Jul 23 2009 dominique-obs@leuenberger.net
- Update to version 2.27.4:
  + Addressbook:
  - bgo#540779 - Do not call e_book_new in the main thread
  - bgo#563668 - Do not pop-down an empty completion list
  - bgo#586225 - Parse numeric name suffixes
  + Calendar:
  - bgo#548702 - google calendar source does not show all events
  - CalDav Fixes/improvements
  + Mail:
  - bgo#575701 - Message disappear from unread vfolder on reply
  - bgo#568302 - create camel summary table if not exists on load
  - bgo#586602 - folder messages are lost on folder rename
  - bgo#327285 - Word "Success" in error message for failed
    action
  - bgo#587699 - IMAP - Localize only Inbox folder name, no other
  - bgo#579065 - IMAP - Synchronize remote mail locally is not
    working
  - bgo#564388 - UI blocks for a long time when downloading mails
    with nntp
  + Misc:
  - bgo#586442 - Various build cleanups
  - bgo#586477 - Fix quoting in configure.ac
  - bgo#586811 - Require automake 1.9 and fix whitespace
  - bgo#586813 - Fix iconv cflags/libs in configure.ac
  - bgo#586809 - Enable "silent rules" automake 1.11 option
  - bgo#587165 - Double free in initialize_categories
  - bgo#587374 - iconv test broken on some gcc
  - Use G_BEGIN_DECLS / G_END_DECLS macros
  - Work around deprecation of g_mapped_file_free()
  - Silence some compiler warnings
  - Fixes for windows build
- Changes from version 2.27.3:
  + bgo#583507 - Fix for evolution hang while updating search
    folder.
  + bgo#585327 - Attaching a message via drag and drop doesn't work
    for GW provider
  + bgo#266678 - Renaming LDAP contacts CN breaks DN
  + bgo#580198 - IMAP offline mode improvement
  + bgo#584797 - Do not set internal SQLite3 structures on error
  + bgo#580212 - Report errors in CamelException when verifying
    signature
  + bgo#559345 - Support CalDAV free/busy extension
  + bgo#337082 - Do not return folders with empty names
  + bgo#584101 - Configure fails with kerberos and
    LDFLAGS="-Wl,--as-needed"
  + bgo#584030 - New API function for ESourceSelectorDialog
  + bgo#583344 - do not leak pipe handles
  + bgo#562015 - CalDAV - Store CTag in a cache
  + bnc#506265 - do not reset the meeting date to delivered date
  + bgo#583528 - Hints of missing mails in Gw
  + bgo#582643 - Deleted mails are not immediately synced
  + bgo#543069 - Support detached instances in CalDAV
  + bgo#559980 - Harden WebDAV contact backend by checking for etag
    being NULL
  + Other Fixes:
  - Support for header based threading in GroupWise provider
  - Compiler warnings and white space cleanup
  - Correctly dispose the source in EBookBackend. Code cleanup
  - Instead of duplicating libgnome function, use corresponding
    glib functions
  - Make the backend factory type const
  + Updated translations
- Upstreamed Patches:
  + eds-comp-percent.diff
- Rebased Patches:
  + dice-eds-changes.patch
- Patch needs rebase:
  + bnc-210959-eds-accept_ics.patch
* Wed May 27 2009 vuntz@novell.com
- Update to version 2.27.2:
  + bgo#549094 – provider_table might not be initialized in
    camel_provider_list
  + bgo#576413 – Cannot delete multiple categories at once
  + bgo#579176 – crashes when accepting meeting invitation
  + bgo#579360 – Problem with vfolders in latest svn trunk version
  + bgo#580154 – Use e_data_book_view_{ref,_unref} transition
    functions
  + bgo#580419 – Remove deprecated libgnome dependency
  + bgo#581420 – Cannot retrieve html images on Solaris
  + bgo#581424 – Personal folder tree appears besides Public folder
    when you go to Folder > Subscription
  + bgo#582110 – build: dolt has some link issues with library
    dependency
  + bnc#184554 – multiple groupwise open notices
  + bnc#494490 – Fixes a crash while moving messages twice
  + bnc#498712 – meetings are not deleted properly sometimes
  + bnc#498745 – Read/Unread count is not syncronized properly
  + bnc#499105 – do not update the server utc time when the
    calendar opens
  + bnc#500133 – show mails with same subject in a single thread
- Respin bnc-210959-eds-accept_ics.patch and
  evolution-data-server-shared-nss-db.patch.
- Remove libgnome-devel BuildRequires and from Requires of devel
  package.
- Add libbonobo-devel BuildRequires.
* Tue May  5 2009 vuntz@novell.com
- Update to version 2.27.1:
  + bnc#480091 - Crash From Filters Moving To Sub-Folders
  + bnc#477697 - Evolution GroupWise Sender column is blank
  + bgo#576424 - Do not unref object twice and treat icalcomponent
    as it, not as icaltimezone.
  + bgo#573187 - Do not leak unchanged components.
  + bgo#569700 - Disconnect properly on a failure
  + bgo#564465 - Pass correct body for signature verification
  + bgo#573880 - Properly encode given uri before using it
  + bgo#571677 - Do not duplicate timezones in a file on open
  + bgo#575084 - Check for actual SQLite3 version in runtime
  + bgo#577002 - Do not leak ".ev-journal" file handles
  + bgo#574522 - Free list's members of e-proxy properly
  + bnc#241604 - Fixes monthly recurring appointments to be created
    on correct dates
  + bnc#471083 - Do not allow deletion of system folders
  + bnc#488632 - Fixes the number of instances created on server
  + bgo#561312 - Need not merge master event dates as evo handles
    it now
  + bgo#573205 - Use the util function to load the system timezone
    if its not
  + bgo#556116 - support for unmatched search folder
  + bgo#578823 - fixed a wrong condition
  + bgo#578210 - fix the code to handle re-entrant problem
  + bgo#578817 - fixed potential invalid dereference
  + bgo#578822 - fixed potential invalid dereference
  + bgo#578818 - only do closedir() if directory is not NULL
  + bgo#343505 - Make Search ignore accents for address book
    summary searches
  + bgo#381132 - Allow getting system timezone information in
    libecal
  + bgo#552583 - Compare URLs only on protocol, user, host and port
    for smtp and pop3
  + bgo#569652 - Deprecate e_source_list_peek_group_by_name
  + bgo#571206 - Index files on Maildir accounts are not updated
  + bgo#563954 - Define camel_folder_cmp_uids to compare UIDs
    properly
  + bgo#478239 - Unset attachment icon if no attachment found
  + bgo#575773 - Set new object properly on object modify in a file
    calendar backend
  + bgo#553932 - Ask calendar on a readonly state after changing
    its mode
  + bgo#567731 - Redundant declarations in camel-folder-summary.h
  + bgo#577485 - CRL strings suck: explain the abbrevation
  + bgo#572977 - Use g_strerror() instead of strerror()
  + bgo#577491 - "mailbox:%%s (%%s)" typo
  + bgo#573170 - Add back support for vfolder of vfolders
  + Updated translations.
* Wed Apr 15 2009 vuntz@novell.com
- Update to version 2.26.1.1:
  + bgo#556116 – unmatched search folder missing
- Do not ship empty README and AUTHORS.
* Tue Apr 14 2009 vuntz@novell.com
- Update to version 2.26.1:
  + bnc#477697: Evolution GroupWise Sender column is blank
  + bnc#480091: Crash From Filters Moving To Sub-Folders
  + bgo#564465: Pass correct body for signature verification
  + bgo#569700: Disconnect properly on a failure
  + bgo#571677: Do not duplicate timezones in a file on open
  + bgo#573187: Do not leak unchanged components
  + bgo#573880: Encode only path and use SoupURI to do this
  + bgo#574522: Crash while authenticating to the exchange server
  + bgo#575084: Check for actual SQLite3 version in runtime to call
    xCheckReservedLock with correct number parameters
  + bgo#576424: Do not unref object twice and treat icalcomponent as it is
  + bgo#577002: Do not leak ".ev-journal" file handles
- Remove AutoReqProv: it's default now.
* Mon Mar 16 2009 vuntz@novell.com
- Update to version 2.26.0:
  + Bugs Fixed: bgo#569108, bgo#574282, bgo#573870, bgo#574282,
    bgo#465364, bgo#479908, bgo#573198, bgo#564465, bgo#572179,
    bgo#534938
  + Updated translations
- Drop bnc-463653-msg-list-meeting-time.patch: fixed upstream.
* Fri Mar  6 2009 vuntz@novell.com
- Update to version 2.25.92:
  + Bugs Fixed: bgo#266147, bgo#273233, bgo#477535, bgo#534938,
    bgo#555888, bgo#563212, bgo#567008, bgo#567861, bgo#569459,
    bgo#570653, bgo#570696, bgo#570765, bgo#571046, bgo#571726,
    bgo#571761, bgo#572268, bgo#572566, bgo#572950, bgo#573175,
    bgo#573240, bgo#573497, bgo#566984, bgo#573183, bgo#573494,
    bgo#549838
  + Other contributions:
  - AC_HELP_STRING instead of AS_HELP_STRING
  - Add a "no space" error
  - Add e_contact_field_id_from_vcard()
  - Add EVC_X_SIP and E_CONTACT_SIP
  - Comment too recent error codes
  - Fix -Wold-style-definition warnings
  - Handle EContactName structures containing NULLs
  - Move e_book_view_set_book to -private
  - Recompute digests from the signed message content
  - Some help comments for the future maintainers
  - Include <libical/ical*.h>
  - Use correct server parameter for getting folder information
  + Updated translations.
- Remove -fno-strict-aliasing from compilation flags.
* Tue Feb 17 2009 msuman@suse.de
- Update to version 2.25.91:
  + Bugs fixed: bgo#266147, bgo#534938, bgo#555888, bgo#567861,
    bgo#569459, bgo#570653, bgo#571726, bgo#571761
  + Updated translations
- Remove option -DLDAP_DEPRECATED to CFLAGS, it is already
  specified internally upstream.
- Remove the MONO_PATH from the script.
* Mon Feb 16 2009 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Tue Feb 10 2009 vuntz@novell.com
- Remove non-upstream translations: they'll get out-of-date.
* Thu Feb  5 2009 vuntz@novell.com
- Remove compilation flags that were added: those should really
  used upstream, and not in a distribution.
* Wed Feb  4 2009 msuman@suse.de
- Update to version 2.25.90:
  + Libical fork in evolution-data-server is dropped. Upstream
    libical is an external dependency now.
  + Bugs fixed: bgo#303738, bgo#360813, bgo#501298, bgo#518920,
    bgo#554182, bgo#557348, bgo#562200, bgo#564339, bgo#564543,
    bgo#564954, bgo#566279, bgo#565376, bgo#567384, bgo#390198,
    bgo#557348, bgo#568332, bgo#568561, bgo#569405, bgo#569742,
    bgo#569874, bgo#347287, bgo#550414, bnc#435599, bnc#439986,
    bnc#443296, bnc#443544, bnc#463095, bnc#464758, bnc#464878,
    bnc#467075, bnc#467638, bnc#470143
  + Updated translations
- Dropped these patches already fixed upstream:
  + bnc-435599-junk-contacts-created.patch
  + bnc-439986-show-time-free.patch
  + bnc-442507-imap-parts-sync.patch
  + bnc-443544-eds-free-busy.patch
  + bnc-458127-keyboard-shortcut-port.patch
  + bnc-463095-content-info-from-db.patch
* Mon Jan 12 2009 mauro@suse.de 
- Translations update.
* Sat Jan 10 2009 msuman@suse.de
- Pruning changes from the factory submission:
  + Dropped these patches already fixed upstream:
    + bgo-559153-eds-migration.patch
    + bnc-440265-gw-contacts.patch
    + bnc-455939-eds-deadlock.patch
    + bnc-209514-gw-missing-mails.patch
    + bnc-446290-gw-counts-issues.patch
    + bnc-462575-gw-refresh-folders.patch
    + bnc-448079-gw-memory-issues.patch
* Wed Jan  7 2009 abharath@suse.de
- Patches added
  + bgo#559153 - bgo-559153-eds-migration.patch - Migration patches
  in EDS.
  + bnc#440265 - bnc-440265-gw-contacts.patch - Groupwise Address
  Book Contact Lists Are Not Saved.
  + bnc#442507 - bnc-442507-imap-parts-sync.patch - Folder index
  creation after crash takes ages.
  + bnc#455939 - bnc-455939-eds-deadlock.patch - Disconnecting from
  the network caused e-d-s deadlock ...
  + bnc#443544 - bnc-443544-eds-free-busy.patch - Evolution busy
  search on GW resource object does not display
  unavailable times.
  + bnc#209514 - bnc-209514-gw-missing-mails.patch - Evolution
  Groupwise missing mails.
  + bnc#446290 - bnc-446290-gw-counts-issues.patch - GW Parallel
  clients & (un)read counts problems.
  + bnc#458127 - bnc-458127-keyboard-shortcut-port.patch - No
  keyboard short cut for SOAP port in Evolution.
  + bnc#462575 - bnc-462575-gw-refresh-folders.patch - "Check for
  new messages in all folders" setting for GW SOAP.
  + bnc#448079 - bnc-448079-gw-memory-issues.patch - evolution
  2.24.1.1 is very unstable
  + bnc#463095 - bnc-463095-content-info-from-db.patch - Evolution
  hangs on "Generating message list..."
  + bnc#439986 - bnc-439986-show-time-free.patch - Show Time As Free
  Option Doesn't Immediately Refresh Calendar.
  + bnc#463653 - bnc-463653-msg-list-meeting-time.patch - Evolution
  displays the wrong time for an appointment in the
  message list.
* Tue Jan  6 2009 msuman@suse.de
- Update to version 2.25.4:
  + Bugs fixed: bgo#446290, bgo#559153, bgo#564652, bnc#209514,
  bnc#448079, bnc#449916, bnc#462575
  + Updated translations
- Dropped this patch fixed upstream:
  + bnc-449916-task-memo-description.patch
* Tue Dec 23 2008 msuman@suse.de
- Update to version 2.25.3
  + Bugs fixed: bgo#359745, bgo#524377, bgo#527692, bgo#531090,
    bgo#546637, bgo#555979, bgo#556119, bgo#557348, bgo#557818,
    bgo#558322, bgo#558737, bgo#558883, bgo#559272, bgo#560076,
    bgo#560185, bgo#560681, bgo#560981, bgo#561069, bgo#561466,
    bnc#435964, bgo#270376, bgo#348299, bgo#352287, bgo#357948,
    bnc#435632, bnc#440265, bnc#447121, bgo#451734, bgo#503662,
    bgo#545834, bgo#552986, bgo#558883, bgo#561081, bgo#561561,
    bgo#562228, bgo#562567
  + Updated translations
- Dropped these patches fixed upstream:
  + bgo-562228-eds-mailbox-field.patch
  + bnc-431133-unread-mail-empty.patch
  + bnc-435632-moving-contacts-crash.patch
  + bnc-438730-loosing-more-state.patch
  + bnc-440265-list-not-saved.patch
  + bnc-441347-imap-performance-fix.patch
  + bnc-441542-fix-translock.patch
  + bnc-441763-show-meeting-icon.patch
  + bnc-446269-moving-emails-broken.patch
  + bnc-446371-fix-completed-on.patch
  + bnc-446372-fix-empty-trash.patch
  + bnc-446373-fix-refresh-vfolderquery.patch
  + bnc-447121-gw-memory-crasher.patch
  + eds-core-mapi-changes.diff
- Added libgweather-devel to the list of BuildRequires
* Thu Dec  4 2008 abharath@suse.de
- Patches added
  + bnc#440265 - bnc-440265-list-not-saved.patch - Groupwise
  Address Book Contact Lists Are Not Saved.
  + bnc#447121 - bnc-447121-gw-memory-crasher.patch - gwise:
  memory corruption crasher.
  + bnc#449916 - bnc-449916-task-memo-description.patch - Loss of
  data in Messages related to shared memos and
  Assigned tasks.
  + bgo#562228 - bgo-562228-eds-mailbox-field.patch - Login to
  exchange fails if "mailbox" is filled manually in
  the config wizard.
  + bnc#435632 - bnc-435632-moving-contacts-crash.patch - Evo
  crashed moving contacts to a different addressbook
* Fri Nov 21 2008 pchenthill@suse.de
- eds-comp-percent.diff : Adds wrapper function to get percentage
  complete for tasks. Required for sharepoint connector.
* Thu Nov 20 2008 abharath@suse.de
- Patches added
  + bnc#431133 - bnc-431133-unread-mail-empty.patch - Mail opened
  from the "Unread mails" displays empty.
  + bnc#435599 - bnc-435599-junk-contacts-created.patch - Junk
  contacts getting created.
  + bnc#441347 - bnc-441347-imap-performance-fix.patch - Evolution
  2.24 is terribly slow with large IMAP folders.
  + bnc#441542 - bnc-441542-fix-translock.patch - Evolution Hang.
  + bnc#446269 - bnc-446269-moving-emails-broken.patch - moving
  emails is broken.
  + bnc#446371 - bnc-446371-fix-completed-on.patch - Follow-Ups
  doesn't work.
  + bnc#446372 - bnc-446372-fix-empty-trash.patch - Evolution
  crashed while expunging junk messages.
  + bnc#446373 - bnc-446373-fix-refresh-vfolderquery.patch - Search
  folder "Include threads" setting is unreliable.
  + bnc#210959 - bnc-210959-eds-accept_ics.patch - Receving meeting
  request from the Personal source should work in
  groupwise connector.
  + bnc#438730 - bnc-438730-loosing-more-state.patch - mailer:
  loosing more state
* Mon Nov 17 2008 olh@suse.de
- obsolete old -XXbit packages (bnc#437293)
* Fri Nov  7 2008 psankar@suse.de
- Push 2.24.1.1 tarball
  + Bugs fixed:
    bgo#532136, bgo#555979, bgo#556119, bgo#558727, bgo#558737, bgo#558883,
    bnc#209514, bnc#372382, bnc#434946, bnc#434950, bnc#434958,
    bnc#435725, bnc#435727, bnc#435964, bnc#440502
  + Updated Translations
- bnc-441763-show-meeting-icon.patch (Sankar) - Show different
  icons for meetings in message list
- dice-eds-changes.patch (Chenthill) - EDS changes for DICE integration
* Fri Oct 31 2008 msuman@suse.de
- Invoke the binaries from a script which sets the library path
  for picking the LDAP libraries.
* Wed Oct 29 2008 maw@suse.de
- Make the -devel subpackage require nss-shared-helper-devel.
* Tue Oct 28 2008 maw@suse.de
- Reorder the list of build requirements
- Tag eds-core-mapi-changes.diff
- Run autotools before running configure.
* Mon Oct 27 2008 aj@suse.de
- The package is called libevoldap-2_4-2.
* Mon Oct 27 2008 kukuk@suse.de
- Requires to evoldap2-devel should be libevoldap2 for main package
  [bnc#439152].
* Mon Oct 27 2008 hpj@novell.com
- Add evolution-data-server-shared-nss-db.patch, which lets us
  migrate to new, shared NSS database and location.
* Sat Oct 25 2008 msuman@suse.de
- Use evoldap2-client only for SUSE versions above 11.0, fallback to
  openldap2-client for the older versions.
- Use proper RPM macros in the spec file, clean up spec file to reduce the
  number of warnings generated by rpmlint.
- Dropped the following patches:
  + evolution-data-server-configure.patch - not required anymore.
  + bnc-164367-gw-attachments-appts-throw-error.patch. Fixed upstream.
  + bgo-530514-check-to-handle-specific-server-response.diff. Fixed upstream.
  + libgnomeui-dep.patch - not required anymore, SUSE has moved away from
    /opt/gnome
* Fri Oct 24 2008 msuman@suse.de
- Update to version 2.24.1
  + Bugs fixed: bgo#337479, bgo#364542, bgo#497928, bgo#511947,
    bgo#514670, bgo#537718, bgo#544141, bgo#546406, bgo#546637,
    bgo#547243, bgo#550466, bgo#550998, bgo#552261, bgo#552631,
    bgo#553266, bgo#553298, bgo#553301, bgo#553944, bgo#554455,
    bgo#554540, bgo#556372, bgo#556495, bgo#556688
  + Updated translations.
- Fix the prefix for NTLM patched OpenLDAP, also specify explicit
  dependency on evoldap2-devel.
- Remove evolution-data-server-gw-no-network.patch. Fixed upstream.
- Remove evolution-data-server-thread-search.patch. Fixed upstream.
- Add eds-core-mapi-changes.diff: This contains changes in the core
  code base for the MAPI provider.
* Wed Oct  8 2008 sbrabec@suse.cz
- Fixed broken Advanced search->Include threads (bgo#554455).
* Fri Oct  3 2008 mboman@suse.de
- Update to version 2.24.0:
  + Google Contacts Backend
  + WebDAV Contacts Backend
  + Sqlite based on-disk summary for Camel
  + Quota support for IMAP
  + bnc#418080: Match contains using %%like%%
  + bgo#551805: Honour return data type
  + bgo#552724: Remove a while space following trailing backslash.
  + bgo#552729: Adds support for x-camel-mlist & Answered flag to
    search/vfolders.
  + Translation updates
- Remove evolution-data-server-updates.patch. Fixed upstream
- Remove evolution-data-server-db-fixes.patch. Fixed upstream
* Fri Oct  3 2008 sragavan@suse.de
- Make sure that Evolution/friends use evoldap2-client
* Wed Sep 24 2008 sbrabec@suse.cz
- Fixed GroupWise crash if network is down (bgo#337479).
* Wed Sep 17 2008 maw@suse.de
- Add evolution-data-server-db-fixes.patch.
* Tue Sep 16 2008 maw@suse.de
- Add evolution-data-server-updates.patch, which comprises the
  diff between r9505 and r9557 in GNOME SVN
- Drop evolution-data-server-show-sexp.patch and
  evolution-data-server-sql-percents.patch.
* Tue Sep  9 2008 maw@suse.de
- Add evolution-data-server-sql-percents.patch (even more work on
  bnc#418080).
* Tue Sep  9 2008 maw@suse.de
- Build with evolution-data-server-show-sexp.patch.
* Mon Sep  8 2008 maw@suse.de
- Update to version 2.23.92:
  + More work on bnc#418080, improvements in the sexp/sql machinery
  + Bugs fixed: bgo#547884, bgo#548343, and bgo#550412
  + Updated translations
- Drop evolution-data-server-sexp-to-sql-fixes.patch, which has
  been upstreamed.
* Wed Sep  3 2008 maw@suse.de
- Add evolution-data-server-sexp-to-sql-fixes.patch (more work
  on bnc#418080).
* Tue Sep  2 2008 maw@suse.de
- Update to version 2.23.91:
  + Bugs fixed: bgo#213072, bnc#391936, bnc#418080 (more work),
    bgo#466754, bgo#518728, bgo#546926, bgo#548331, bgo#548565,
    bgo#548865, and bgo#550072
  + Updated translations.
* Thu Aug 21 2008 maw@suse.de
- Update to version 2.23.90.1:
  + Bugs fixed: bgo#548331 and possibly bnc#418080.
* Mon Aug 18 2008 maw@suse.de
- Update to version 2.23.90:
  + Bugs fixed, bgo#207728, bgo#324203, bgo#327851, bgo#337503,
    bgo#510949, bgo#510949, bgo#523103, bgo#531930, bgo#535745,
    bgo#538074, bgo#545021, bgo#545877, bgo#546397, bgo#546444,
    bgo#546544, bgo#546613, bgo#547256, bgo#547308, bgo#547389,
    bgo#547469, bgo#547786, bgo#547952, and bgo#548059
  + Updated translations.
* Tue Aug  5 2008 maw@suse.de
- Update to version 2.23.6:
  + Camel DB Summary support; rewrite camel search by converting
    sexp to sql (Srinivasa Ragavan)
  + Google Contacts support
  + WebDAV Contacts backend
  + Improvements in the Camel reference manual
  + Bugs fixed: bgo#236010, bgo#543066, bgo#200147, bgo#213072,
    bgo#253509, bgo#329571, bgo#330838, bgo#334160, bgo#340838,
    bgo#476640, bgo#503922, bgo#515998, bgo#528902, bgo#531712,
    bgo#532472, bgo#534080, bgo#537415, bgo#539758, bgo#540127,
    bgo#540152, bgo#541347, bgo#543656, bgo#336074, bgo#349870,
    bnc#388966, bgo#468671, bgo#500389, bgo#538620, bgo#540295,
    bgo#543569, bgo#543943, bgo#544031, bgo#544049, bgo#544114,
    bgo#544284, bgo#544491, bgo#544501, bgo#544528, bgo#544651,
    bgo#544825, bgo#544963, bgo#545022, bgo#545081, bgo#545082,
    bgo#545099, bgo#545103, and bgo#545558
  + Updated translations.
* Fri Jun 20 2008 maw@suse.de
- Update to version 2.23.4:
  + Configurable proxy settings
  + Quota support for IMAP
  + Google contact API support in libgdata-google
  + A lot of IMAP4 improvements
  + Use new paths for header files that have been moved to
    libebackend
  + Use "dialog-password" icon instead of "dialog-question" in the
    password dialog (HIG compliance)
  + Bugs fixed: bnc#394654, bgo#304029, bgo#509721, bgo#521921,
    bgo#527544, bgo#530241, bgo#534080, bgo#534111, bgo#536154,
    bgo#536636, bgo#318803, bgo#326149, bgo#354923, bgo#374616,
    bnc#388579, bgo#473658, bgo#518312, bgo#530514, bgo#530543,
    bgo#530763, bgo#531009, bgo#531439, bgo#531591, bgo#531713,
    bgo#532286, bgo#533058, bgo#533780, bgo#534077, bgo#534294,
    bgo#534312, bnc#182380, bgo#274316, bgo#301980, bgo#316390,
    bgo#325882, bgo#330990, bnc#338330, bgo#347061, bnc#350143,
    bnc#358584, bnc#358644, bnc#358650, bnc#381307, bnc#382736,
    bgo#424744, bgo#502899, bgo#517244, bgo#520532, bgo#530139,
    bgo#530323, bgo#530688, bgo#532284, bgo#235681, bgo#257361,
    bgo#270406, bgo#271863, bgo#274316, bgo#303067, bgo#341004,
    bgo#369512, bnc#372383, bgo#417000, bgo#453109, bgo#473880,
    bgo#475616, bgo#494311, bgo#500389, bgo#514300, bgo#514827,
    bgo#516608, bgo#518710, bgo#518886, bgo#520526, bgo#521015,
    bgo#522389, bgo#522433, bgo#523023, bgo#523126, bgo#523528,
    bgo#523533, bgo#523541, bgo#523630, bgo#518656, bgo#524324,
    bgo#524704, bgo#525242, bgo#525485, bgo#526138, and bgo#526741
  + Updated translations
- Drop obsolete patches: bnc-188523-eds-fix-authenticated-proxy-support.diff,
  bnc-388579-ical-fix-for-exch.patch, bgo-532284-gw-double-free.patch,
  bgo-533058-gw-debug-logs.patch, bgo-530543-leak-while-syncing-mails-for-offline.diff,
  bgo-531009-right-iterator-to-prevent-crash-in-offline-mail.diff,
  and bnc-394654-eds-crasher.patch
- Respin following patch:
  bgo-530514-check-to-handle-specific-server-response.diff.
* Mon Jun  2 2008 abharath@suse.de
- Added
  + bnc#394654 - bnc-394654-eds-crasher.patch: EDS crasher (Chenthill)
* Wed May 21 2008 msuman@suse.de
- Added
  + bgo-530514-check-to-handle-specific-server-response.diff (Sankar P)
  + bgo-530543-leak-while-syncing-mails-for-offline.diff (Sankar P)
  + bgo-531009-right-iterator-to-prevent-crash-in-offline-mail.diff (Sankar P)
* Wed May 14 2008 psankar@suse.de
- Removed: bnc-152070-eds-crash.patch
- Removed: eds-compiler-warning.patch
- Removed: evolution-data-server-abuild.patch
- Removed: bnc-163982-system-hang-with-126-error-popups.patch
- Removed: ical-fix-for-exchange-crasher.diff
- The above patches are no longer needed
  as the tarball has these patches within.
- Added: bgo-533058-gw-debug-logs.patch - Enable Debug logs for GroupWise (Sankar)
- Added: bnc-388579-ical-fix-for-exch.patch - ical fixes for exchange (Chenthill)
- Enabled Kerberos 4: FATE id: 301476
* Thu May  8 2008 psankar@suse.de
- Push 2.22.1.1 tarball
- No crypto changes
- ical-fix-for-exchange-crasher.diff: Contains fixes for a crasher in ical (Chen)
- bgo-532284-gw-double-free.patch: Fixes a double free in GroupWise
- Tarball contains fixes for the bgo bugs as follows:
  [#274316]: Also copy user tags when copying messages between folders (Milan Crha)
  [#338330]: (Novell Bugzilla) Internet Based Calendar Events Are Declined By Evolution/GroupWise (Chenthill Palanisamy)
  [#350143]: (Novell Bugzilla) Fix a severe memory leak in evolution-data-server (Chenthill Palanisamy)
  [#358584]: (Novell Bugzilla) Display of web calendars ignores timezones (Chenthill Palanisamy)
  [#358644]: (Novell Bugzilla) Retracted groupwise appointments should disappear as soon as they are retracted. (Chenthill Palanisamy)
  [#358650]: (Novell Bugzilla) International clock applet is crashing (Chenthill Palanisamy)
  [#381307]: Run a single delta-thread to fetch changes from the server, instead of spawning multiple threads (Ashish Shrivastava)
  [#473880]: Fixed a few compiler warnings (Suman Manjunath)
  [#475616]: Use recursive mutex (Milan Crha)
  [#502899]: Fix a crash (Milan Crha)
  [#514300]: Make sure we do the Inbox -> INBOX translation at the right place (Christian Kellner)
  [#520532]: Support migration from password file to keyring (Matthew Barnes)
  [#529339]: Fixed a crash when searching with an expression (Milan Crha)
  [#530139]: Do not ship .svn files (Matthew Barnes)
  [#530323]: Don't free the same variable twice (Sebastien Bacher)
  Load addressbook conditionally (Srinivasa Ragavan)
  - ------------------------------------------------------------------
* Wed May  7 2008 schwab@suse.de
- Use autoreconf.
* Thu Apr 10 2008 maw@suse.de
- Update to version 2.22.1:
  + Bugs fixed: bgo#524704, bgo#521015, bgo#520526, bgo#522433,
    bgo#525485, bgo#523528, bgo#372383, bgo#522389, bgo#500389,
    bgo#523023, bgo#494311, bgo#523126, and bgo#303067
  + Updated translations
- Drop bgo-522389-e-gw-connection-get-attachment-corruption.patch
- Annotate bnc-188523-eds-fix-authenticated-proxy-support.diff,
  and fix other annotations' formatting.
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Wed Apr  9 2008 msuman@suse.de
- Configurable proxy settings for Evolution (Varadhan)
  + Added patch bnc-188523-eds-fix-authenticated-proxy-support.diff (bnc#188523)
  + Removed patch bnc-174255-honour-system-proxy-settings.patch since
    added patch includes those changes as well.
* Wed Mar 26 2008 sbrabec@suse.cz
- Fixed GroupWise attachment crash on x86_64 (bgo#522389).
* Fri Mar 14 2008 maw@suse.de
- Update to versoin 2.22.0:
  + Bugs fixed: bgo#327851, bgo#518728, and bgo#520362
  + Minor API doc updates
  + Updated translations.
* Wed Mar 12 2008 pchenthill@suse.de
- Updated the tags in the spec file.
* Tue Mar  4 2008 maw@suse.de
- Update to version 2.21.92:
  + Bugs fixed: bnc#163982, bnc#164140, bgo#167638, bnc#183819,
    bgo#445489, bgo#459468, bgo#469119, bgo#489043, bgo#489810,
    bgo#510949, bgo#514836, bgo#516074, bgo#516408, bgo#516474,
    bgo#517190, and bgo#517885
  + Fix some compilation warnings
  + Updated translations
- Drop evolution-data-server-decl.patch, eds-warnings.patch,
  bnc-164140-eds-crash-evolution--offline.patch, bnc-167638.patch,
  and bnc-183819-evo-crashed-closing-offline.patch.
* Tue Feb 19 2008 maw@suse.de
- Update to version 2.21.91:
  + Bugs fixed: bnc#211353, bnc#324804, bnc#395939, bnc#505806,
    bnc#509776, bnc#510949, bnc#511208, bnc#513389, bnc#513646,
    bnc#514407, bnc#514487, bnc#514555, bnc#514682, and bnc#515054
  + Updated translations.
* Thu Jan 31 2008 maw@suse.de
- Update to version 2.21.90:
  + Speed up spam filtering and spam whitelist implementation
  + Bugs fixed: bgo#213072, bgo#213072, bgo#300098, bgo#324168,
    bgo#335217, bgo#386157, bgo#445309, bgo#450840, bgo#456019,
    bgo#475781, bgo#481699, bgo#482940, bgo#496081, bgo#498977,
    bgo#506250, bgo#509124, bgo#509644, bgo#509985, bgo#510168,
    bgo#510303, bgo#510409, bgo#511235, bgo#511301, and
    bgo#511717
  + Camel mime fixes
  + Implement byte order for win32
  + Changed error message to a better string
  + Remove unused libsoup includes and update for libsoup 2.4
  + Adapt to newer libsoup
- Remove libtool archives and static libraries
- Remove evolution-password-dialogs.patch which is no longer
  necessary.
* Wed Jan 16 2008 maw@suse.de
- Add evolution-password-dialogs.patch (bgo #509644).
* Mon Jan 14 2008 maw@suse.de
- Update to version 2.21.5:
  + Improved MIME header decoding
  + Bugs (bugzilla.gnome.org) fixed: #224026, #327965, #329692,
    [#339813], #341579, #348149, #361972, #379896, #405497, #474118,
    [#500233], #503400, #504837, #506457, and #508438.
  + Updated translations.
* Tue Dec 18 2007 maw@suse.de
- Update to version 2.21.4:
  + The large version bump is due to evolution and related packages
    synchronizing their version numbers with those of GNOME
  + Bugs (bugzilla.gnome.org, except where otherwise indicated)
    fixed: #322917, #336074, #339510, #462593, #466499, #486126,
    [#487687], #501548, #501622, #501969, #502866, #308815, #376425,
    [#415817], #461979, #492426, #494314, #318842, #345135, #359267,
    [#430420], #460649, #487229, #488156, #492130, #494304,
    bnc#203480, #231178, #271777, #417999, #420167, #469657,
    [#474000], #475487, #475493, #475494, #478404, #483301, #487270,
    [#488173], and #488351
  + Support for Google Calendar
  + Updated translations
  + Protect against a NULL subject string
- Remove old patches, and refresh and renumber the remaining ones.
* Wed Dec  5 2007 maw@suse.de
- Don't require openldap2 to build.
* Thu Oct 11 2007 sbrabec@suse.cz
- Removed bogus dependency on mDNSResponder.
* Mon Sep 17 2007 maw@suse.de
- Update to version 1.12.0:
  + Bugs (bugzilla.gnome.org) fixed: #348149, #402506, #426421,
    [#469007], and #473880
  + Bug (bugzilla.novell.com) fixed: #275990
  + Updated timezone info
  + Updated translations.
* Fri Sep 14 2007 maw@suse.de
- Fix bnc-307861-calendar-auth.diff.
* Fri Sep 14 2007 pchenthill@novell.com
- evolution-data-server-1.11.5-cert-auth-complete.patch: Updated the
  patch to fix bug 307861.
- bnc-307861-calendar-auth.diff: Prompt for password for all providers
  excluding the providers which support smart card.
* Mon Sep 10 2007 maw@suse.de
- Update to version 1.11.92:
  + Bugs (bugzilla.gnoem.org) fixedL #271841, #290330, #298095,
    [#298788], #301263, #302038, #330185, #378759, and #470445
  + Updated translations.
* Mon Sep  3 2007 vvaradhan@novell.com
- Fixes (BNC)
  [#304835] - Exchange crashes when restart
  (Fix introduces a bug when user is running in smart-card
  environment that will popup a password dialog for accessing GAL.
  Without this fix, exchange is un-usable for all users (including
  smart-card and non-smart-card users).  Fix is being worked out
  for this regression.
* Wed Aug 29 2007 maw@suse.de
- Update to version 1.11.91:
  + New debugging framework which can be controlled during runtime
    with the CALDAV_DEBUG environment variable
  + Bugs (bugzilla.gnome.org) fixed: #261084, #256878, #332979,
    [#337454], #350539, #356176, #365213, #367760, #381548, #394571,
    [#437331], #458715, #464569, #464636, #466309, #466987, #467883,
    [#469870], #261084, #313221, #314709, #327977, #352346, #355640,
    [#387806], #415891, #420462, #427469, #439147, #451003, #455799,
    [#458670], #460999, #461989, #464252,  and #465419
  + Updated translations
- Remove upstreamed abuild.patch.
* Fri Aug 17 2007 jberkman@novell.com
- add auth support for smartcards (bug #273869)
* Mon Aug  6 2007 maw@suse.de
- Split out a -lang subpackage
- Don't package INSTALL.
* Wed Aug  1 2007 maw@suse.de
- Use %%fdupes.
* Wed Aug  1 2007 mauro@suse.de 
- Update to version 1.11.6.1
- bugzilla.gnome.org bugs #380534, #457523.
* Fri Jul 20 2007 maw@suse.de
- Update to version 1.11.5
- bugzilla.gnome.org bugs:
  [#307410], #311098, #352284, #364731, #394572, #410823, #412735, #434356,
  [#448947], #449531, #452996, #454570, #312854, #331099, #344728, #352284,
  [#437751], #443705, #443958, #447414, #447753, #447749, #448589, #360114,
  [#409542], #425129, #438577, #438577, #438727, #438928, #440524, #442187,
  [#438928], #420496, #339160, #414191, #433782, #336574, #431135, #274035,
  [#361138], #383686, #322105, #418971, #360240, #360619, #405495, #360807,
  [#400970], #413173, #420933, #426893, #422883, #424837, #422932, #428183,
  [#425512], #426564, #385078, #425464, #422652, #421445, #421683, #359806,
  [#73117], #425535, #423382, #415891, #388789, #388788
- Updated translations
- Remove evolution-data-server-retval.patch (redundant),
  evolution-camel-imap-CVE-2007-3257.patch (upstreamed)
- Add abuild.patch.
* Fri Jun 22 2007 sbrabec@suse.cz
- Fixed IMAP UID format string vulnerability (#284828,
  GNOME#447414, CVE-2007-3257).
* Wed May 23 2007 ro@suse.de
- added ldconfig to post scripts
* Wed Apr 11 2007 maw@suse.de
- Update to version 1.10.1
- Correct the URL listed in Source:
- Fixes for bugzilla.gnome.org #425512, #388788, and #362726
- Updated translations for the eu and gl locales.
* Fri Mar 30 2007 aj@suse.de
- Add bison to BuildRequires.
* Thu Mar 22 2007 maw@suse.de
- Update to version 1.10.0
- Bug fixes, including bugzilla.gnome.org 413173, 400169,
  and 356177
- Remove evolution-fix-function-declarations.patch and
  implicit-declaration.diff
- Fix bnc-183819-evo-crashed-closing-offline.patch.
* Mon Mar 12 2007 maw@suse.de
- Update to version 1.9.91
- Refresh serveral patches
- Bug fixes, including bugzilla.gnome.org #359979, #384183,
  [#362638], #351930, #356828, #336453, #340039.
* Fri Dec 29 2006 sbrabec@suse.cz
- Use better libexecdir path.
- File list cleanup.
- Splitted evolution-data-server-doc from
  evolution-data-server-devel.
* Fri Dec 29 2006 james@usr-local-bin.org
- Re-enable custom configure options.
* Wed Dec 13 2006 maw@suse.de
- Move to /usr
- Do some specfile cleanup.
* Tue Nov 21 2006 sbrabec@suse.cz
- Do not explicitly require mDNSResponder-lib blocking avahi compat
  package.
* Mon Nov 20 2006 vvaradhan@novell.com
- update to version 1.8.2
- translation updates
- Bug fixes: (bgo)
    330157, 369259, 369168, 350576,350885, 358010, 350880, 347811,
    312348, 328836, 365000, 353924
- Bug fixes: (bnc)
    268412, 208395, 208318, 207960
- Removed upstreamed bgo-369168-buffer-overrun.patch
* Mon Nov  6 2006 kharish@novell.com
- Fix for (bnc) Bug 217142. Patch submitted by Hans Petter Jansson.
* Fri Oct 27 2006 vvaradhan@novell.com
- Fixes (bnc)
  Bug 208519 - evolution groupwise crashes on start
  - Commented "bnc-164323-random-mark-unread.patch" (patch46)
  as it is a "to-be" reverted patch.
* Wed Oct 18 2006 schwab@suse.de
- Fix missing declaration.
* Mon Oct  2 2006 jhargadon@suse.de
- update to version 1.8.1
- translation updates
- Bug fixes:
    350907, 350617, 347811, 357666, 351330, 352596, 352872, 356051
* Sat Sep 30 2006 aj@suse.de
- Do not require libgnomeui-devel for building.
* Tue Sep 12 2006 ro@suse.de
- fix two cases of missing return values (retval.patch)
* Mon Sep  4 2006 aj@suse.de
- update to 1.8.0:
  * updated translation
  * bugfixes
* Fri Aug 18 2006 jhargadon@suse.de
- update to version 1.7.91
- Add filters to Groupwise SOAP calls so that each component
  fetches items of its own type and none other
- Memory fixes in Addressbook
- Updated Translations
- Support for GW Reminder Notes
- Split cache for less memory, better performance
- Support for security-classifications in GW send options
- Support for default alarms in GW
- Support for Gadu Gadu IM in Contact Entries
- Memory reduction and Performance improvements in Contacts
- Removed patches that were incorporated upstream.
* Thu Jul 20 2006 kharish@novell.com
- Patch to add alarms to GW meetings by default based on customer
  preference. Fixes bnc 167330.
* Wed Jul 19 2006 kharish@novell.com
- Patch to correctly handle calendar attachment filenames that do
  not require special characters handling. They were being parsed
  incorrectly and ignored by clients.
* Wed Jul  5 2006 aj@suse.de
- Handle datarootdir in pkgconfig files.
* Wed Jul  5 2006 psankar@novell.com
- Enables forwarding of mails
  Fixes bnc 167517
* Tue Jul  4 2006 vvaradhan@novell.com
- Fixes a build break - Added e-d-s-configure-break-fix.patch
* Mon Jun 26 2006 kharish@novell.com
- Fixes (bnc)
  187529 - Sequence cache population requests for better
  performance.
* Fri Jun 16 2006 vvaradhan@novell.com
- Fixes (bnc)
  183819 - Evolution crashed while closing in offline mode
  182310 - Evolution crashed when going offline
  183816 - Evolution crashed when swtiched from online to offline...
* Thu Jun 15 2006 psankar@novell.com
- Added the fix to display the email address
  only once for the gw accounts
  Fixes bnc #168013, #179622
* Fri Jun  9 2006 sdevashish@novell.com
- Added bnc-170052-eds-crash.patch.
* Thu Jun  8 2006 fejj@suse.de
- Added bnc-179350.patch which fixes a critical deadlock bug in the
  GroupWise provider.
* Thu Jun  8 2006 sragavan@novell.com
- Updated some translation fixes
- Committed patch for bug 181906, which solves a exchange crash.
* Fri Jun  2 2006 sragavan@novell.com
- Updated German Translations.
* Wed May 31 2006 fejj@suse.de
- Added bnc-176277-2.patch which fixes a deadlock condition
* Mon May 29 2006 vvaradhan@novell.com
- Fixes (bnc)
  174255 - Honour desktop proxy setting.
* Mon May 29 2006 sragavan@novell.com
- Added reworked patch for bug 176615 as per fejj's comment.
* Thu May 25 2006 sragavan@novell.com
- Fixes (bnc)
  176615 - Added a new camel stream vfs for saving to remote shares.
* Tue May 23 2006 sragavan@novell.com
- Updated translations (Srini)
* Mon May 22 2006 fejj@suse.de
- Added bnc-177394.patch to fix a crasher when an IMAP server replies
  that the size of a literal is negative.
* Fri May 19 2006 fejj@suse.de
- Added imap-locking.patch which fixes bug #171502 and bug #176277
  which are both deadlock conditions in the imap code.
* Thu May 18 2006 sragavan@novell.com
- gw-trash-fix.diff: Show trash folder contents to user. (Sankar)
* Tue May 16 2006 fejj@suse.de
- Added bnc-173454.patch: Fixes double-base64 encoding of non-7bit MIME
  part data.
* Thu May 11 2006 sragavan@novell.com
- Fixes (bnc)
  169997 - Fixes a issue where the groupwise server crashes due to infinite loop.
* Fri May  5 2006 sragavan@novell.com
- Added empty-trash-notify.patch: Fixes missing trash folder.
- Fixes (bnc)
  169034 - Fixed the failure to download exchange public folder.
- Removed gw-force-use-imap.patch as it was decided to default to soap.
* Tue May  2 2006 fejj@suse.de
- Added bnc-167638.patch: Fixes long shutdown times due to the imap/gw providers trying to sync data at exit time.
* Mon May  1 2006 fejj@suse.de
- Added bgo-315976-INBOX-not-shown-when-override-namespace.patch
* Tue Apr 25 2006 sragavan@novell.com
- Fixes  (bnc)
  169228 - Retract GNOME Keyring Integration from the build (Srini)
* Mon Apr 24 2006 fejj@suse.de
- bgo-321797: Fix SSL/TLS options to not be able to fallback to
  cleartext connections on failure to connect via encrypted channels.
* Mon Apr 24 2006 sragavan@novell.com
- bulk-delete.patch: Uses new SOAP API for removing bulk items (Sankar)
- imap-perf.patch: Get onloy the used headers and not all (Sankar)
- nameselectorlist-keychange.diff: Change the keybinding for list (Srini)
- imap4-removal.diff: Remove IMAP4 from the build (harish)
* Fri Apr 21 2006 sragavan@novell.com
- Fixes (bgo)
    310433 - Should not allow renaming standard folders. - Sushma
    329371 - Use name in email format doesnot work.
- Fixes (bnc)
    164323 - Updated the previous patch for randomly marking messages unread.
* Fri Apr 21 2006 sragavan@novell.com
- Fixes (bnc)
  159934 - Fix for eds CPU high usage (Devashish)
  165714 - Send item id while delegating multiple events. (Harish)
- eds-kerb-check.diff -  Ensure checks for expiry take effect while
  trying for nt domain. (Harish)
* Thu Apr 20 2006 psankar@novell.com
- Fixes (bnc)
  167566 - Crash on disable account - Sankar
  167640 - Syntax error missing space - Partha
* Tue Apr 18 2006 sragavan@novell.com
- Fixes (bnc)
  1643232 - Randomly marking read messages as unread - Sankar
- Fix to make groupwise use IMAP as default for mails (Harish)
* Sun Apr 16 2006 vvaradhan@novell.com
- Fixes (bnc)
  152070 evolution-data-server-1.6 crash - Devashish
  160915 Evolution crashed when clicked on 'Goto' date in
  calendar view - Chenthill
  163982 While saving appointment system hanged with 126
  error popups - Chenthill
  164140 EDS Crashed when starting 'evolution --offline' - Devashish
  164367 GW: Attachment to appointments/meetings throws 'Unknown Error'
  - Chenthill
  164676 evolution-data-server stuck in tight loop - Devashish
* Fri Apr  7 2006 vvaradhan@novell.com
- Fixes (bnc)
  163664 E-D-S crashes if a contact has invalid UTF-8 - Federico
* Wed Apr  5 2006 vvaradhan@novell.com
- Fixes (bnc)
    161290 EDS crashed while forwarding a mail - Devashish
    162005 evolution-data-server crashed when deleting a recurring
    appointment in my groupwise calendar - Chenthill
- Disable beagle-meta-summary patch
* Tue Apr  4 2006 vvaradhan@novell.com
- Updated bnc-158107-no-notification-canceled-mtgs.patch - Fixes
  sending user specified comments during cancellation of meetings.
- Fixes (bnc)
  161000 Junk mail features in evolution cannot be shut off. - Sankar
  158617 Evolution crashed after few minutes after marking few
  mails junk - Sankar - (single patch)
- GW Proxy optimizations - Do not do GetQM while refreshing on proxy.
* Mon Apr  3 2006 vvaradhan@novell.com
- Fixes (bnc)
  160889 Evolution shows summary folders in tree
* Tue Mar 28 2006 ro@suse.de
- replace mDNSResponder by mDNSResponder-devel in BuildReq
* Mon Mar 27 2006 vvaradhan@novell.com
- Fixes (bnc)
  160147 Can't delete calendar accounts once they are created
  158107 No notification of cancelled meetings
* Mon Mar 27 2006 vvaradhan@novell.com
- Fixes (bgo)
  334416 Evolution crashed while traversing mails
  (crash-while-browsing-through-mails.patch)
* Thu Mar 23 2006 vvaradhan@novell.com
- Fixes (bgo)
  334807 EDS Crasher
  323275 EDS Crash @ Startup Of Evolution
  334000 Unexpected dialog while creating appointment/meeting
  272307 groupwise: mail headers are all screwed up with mailing lists
- Fixes (bnc)
  152070 evolution-data-server-1.6 crash (collection of random crashes)
  158112 Send/Receive Dialog can take several minutes to go away
- GW specific SOAP mailer improvements
* Mon Mar 20 2006 vvaradhan@novell.com
- Fixes (bnc)
  138047 Evolution: Message Inconsistency with Passphrase/Password
  153522 Evolution doesn't update message status if two clients
  are running against the same account
  152062 Evolution won't show an attachment
  158093 Evolution: Groupwise "Sent Items" folder should have a
  "To:" column instead of a "From:" column
* Wed Mar 15 2006 vvaradhan@novell.com
- Fixes (bnc)
  157323 Messages deleted from Groupwise folder remain in Evo.
  156559 Evolution won't show me 827 messages
  153522 Evolution doesn't update message status if two clients
  are running against the same account
* Mon Mar 13 2006 vvaradhan@novell.com
- Fixes (bnc)
  137357 Configur groupwise account 'You must be working in
  online ...' message displayed
  152355 Mails in mailbox was not displayed unless .evolution
  folder contents where deleted
  156584 Evolution won't shut down
  156823 Newly configured groupwise accounts don't work
  115042 Evolution crashes when accessing my cabinet folder
- Feature - Meta summary support for beagle
- Keyring support enabled
- Update to version 1.6.0 - Fixes (bgo)
  329244  Crash when editing To/CC/BCC fields of a mail
  331870 	Crashes on addition of two or more email addresses of
  same person in name-selector-dialog
  327592 	[PATCH] Evolution crashes on exit
  332726 	Crash when saving event with recurrence rule
  273060 	Recu Meeting: updates accepted for one instance gets deleted
  331633 	Evolution crashes upon starting up on Solaris
  329669 	Recurring events go crazy
  260346 	Evolution is not storing the email ids with the respective
  fields for exchange
* Mon Mar  6 2006 vvaradhan@novell.com
- Fixes #155362 - No symbol table information in the generated
  debuginfo packages.
  Remove '-g0' from CFLAGS in evolution-data-server.spec
* Mon Feb 27 2006 vvaradhan@novell.com
- Update to version 1.5.92
- Fixes: (in bgo)
  327413: Crash when evolution shuts down
  329306: Crash when entering password multiple times
  331680: Crashes on opening New message compose window
  323384: Email ids from bugzilla mails gets added with a "|"
  260889: Evolution is crashing when clicked clear botton in
  search bar in contacts view
  331127: weather calendar crashes e-d-s, use g_free instead
  of g_object_unref
  326428: EDS crashed after changing 'Anniversary' field in
  contacts UI
  301116: libedataserverui needs to specify the translation
  domain explicitly
- Fixes: (in bnc)
  150427: evo 2.6 - hang on calendar
- Add a patch to integrate with gnome-keyring
* Sun Feb 12 2006 aj@suse.de
- Reduce BuildRequires.
* Fri Feb 10 2006 vvaradhan@novell.com
- Update to version 1.5.90
* Tue Jan 31 2006 ro@suse.de
- reduced BuildRequires
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Dec 12 2005 sbrabec@suse.cz
- Fixed devel dependencies for older products.
* Tue Dec  6 2005 sbrabec@suse.cz
- Degrade to version 1.4.1.1.
  http://bugzilla.gnome.org/show_bug.cgi?id=323106
- Fixed devel dependencies.
* Thu Dec  1 2005 gekker@suse.de
- Update to version 1.4.2.1
* Wed Nov  2 2005 dmueller@suse.de
- don't build as root
* Thu Oct 13 2005 gekker@suse.de
- Update to version 1.4.1
- Fix more warnings
* Sun Sep 25 2005 ro@suse.de
- added LDAP_DEPRECATED to CFLAGS
* Fri Sep  9 2005 aj@suse.de
- Change last patch.
* Wed Sep  7 2005 schwab@suse.de
- Fix missing declarations.
* Mon Sep  5 2005 rodrigo@suse.de
- Update to version 1.4.0
- Removed upstreamed patches
* Wed Aug 24 2005 gekker@suse.de
- Update to version 1.3.8
- Fix brokeness inlibical
* Sat Aug 13 2005 aj@suse.de
- Add lzo and lzo-devel to nfb.
* Thu Aug 11 2005 gekker@suse.de
- Update to version 1.3.7
* Mon Aug  1 2005 gekker@suse.de
- Update to version 1.3.6.1
* Fri Jul 29 2005 sbrabec@suse.cz
- Require mozilla-nss (#98002).
* Tue Jul 26 2005 ro@suse.de
- fix typo in specfile
* Mon Jul 25 2005 gekker@suse.de
- Update to version 1.3.5
* Thu Jul 14 2005 schwab@suse.de
- Fix missing declarations again.
* Fri Jul  1 2005 gekker@suse.de
- Update to version 1.3.3
- Remove upstreamed patches
- Fix compiler warnings
* Tue Jun 21 2005 schwab@suse.de
- Fix missing declarations.
* Fri Jun 10 2005 sbrabec@suse.cz
- Build with system nspr and nss libraries.
- Build with Kerberos 5 support.
- Build documentation.
* Fri Jun 10 2005 sbrabec@suse.cz
- Build with mozilla-nss.
* Wed Jun  1 2005 sbrabec@suse.cz
- Fixed devel requirements.
* Wed May 18 2005 ro@suse.de
- fix build with current pkgconfig
* Fri Apr 29 2005 sbrabec@suse.cz
- Yet another mail crasher fix (#66996).
  http://bugzilla.gnome.org/show_bug.cgi?id=273945
* Thu Apr 14 2005 sbrabec@suse.cz
- Fixed serious GCC 4 warnings.
* Sat Mar 19 2005 clahey@suse.de
- Fixes 72916.
* Fri Mar 18 2005 gekker@suse.de
- Fix x-evolution-header (x73401).
* Wed Mar 16 2005 gekker@suse.de
- Update to version 1.2.1
- Add 64bit-warn.patch
* Tue Mar  8 2005 gekker@suse.de
- Update to version 1.2.0 (GNOME 2.10)
- remove upstreamed dest.patch
* Wed Mar  2 2005 gekker@suse.de
- add dest.patch
* Wed Mar  2 2005 gekker@suse.de
- update to version 1.1.6
* Sun Feb 27 2005 ro@suse.de
- fix build on lib64
* Fri Feb 25 2005 gekker@suse.de
- fix libexecdir, so that e-d-s will actually get launched
- enable ssl support now that camel has been moved to e-d-s
* Wed Feb  9 2005 gekker@suse.de
- Update to version 1.1.5
- Remove upstreamed patch.
* Sat Feb  5 2005 gekker@suse.de
- Update to version 1.1.4.2
- Remove upsteamed patches, including security fix mentioned below.
* Mon Jan 24 2005 sbrabec@suse.cz
- Fixed integer overflow (arbitrary code execution with elevated
  privileges) in lock helper (CAN-2005-0102, #50116).
* Mon Jan 24 2005 meissner@suse.de
- Fixed some gcc 4 warnings/error that show code problems.
* Fri Jan 14 2005 clahey@suse.de
- Update to version 1.1.3.
* Thu Jan  6 2005 gekker@suse.de
- Update to version 1.1.2
* Tue Dec  7 2004 gekker@suse.de
- Update to version 1.0.3 (Ximian 70057)
* Tue Nov 30 2004 ro@suse.de
- re-diffed libdb.patch
* Mon Nov 29 2004 gekker@suse.de
- Update to version 1.0.2
- Removed patches included in this update
* Fri Nov 12 2004 sbrabec@suse.cz
- Fixed libdb on x86_64 (broken local contacts in Evolution, #46845).
  http://bugzilla.ximian.com/show_bug.cgi?id=67600
* Tue Nov  2 2004 ro@suse.de
- locale rename: no -> nb
* Thu Sep 30 2004 dobey@suse.de
- Add patch to fix bug 66368 in bugzilla.ximian.com
* Wed Sep 29 2004 dobey@suse.de
- Add patch to fix bug 66230 in bugzilla.ximian.com
* Fri Sep 24 2004 dobey@suse.de
- Updated to version 1.0.1
- Removed evolution-data-server-0.0.99.dif which is in upstream source
* Fri Sep 17 2004 ro@suse.de
- readd evolution-data-server-0.0.99.dif to fix parallel build
* Mon Sep 13 2004 dobey@suse.de
- Updated to version 1.0.0
- Removed evolution-data-server-0.0.99.dif which was not changelogged,
  and seems to not actually change anything
* Sat Sep  4 2004 coolo@suse.de
- use %%jobs (OOo is waiting on it)
* Fri Aug 27 2004 dobey@suse.de
- Update to version 0.0.99
* Wed Aug 18 2004 dobey@suse.de
- Fix LDAP support and remove unused configure options
* Fri Aug 13 2004 dobey@suse.de
- Update to version 0.0.98
- Add dependencies to the evolution-data-server-devel package
* Thu Aug  5 2004 dobey@suse.de
- Add build deps for gnutls libs from libsoup
* Tue Aug  3 2004 dobey@suse.de
- Don't run any autotools when building with no patches
* Tue Aug  3 2004 dobey@suse.de
- Patch is in tarball for gnome_segv2 now
- Updated to version 0.0.97
* Thu Jul 29 2004 dobey@suse.de
- Add patch from CVS to detect path to gnome_segv2 better
* Wed Jul 28 2004 dobey@suse.de
- Updated to version 0.0.96
* Tue Jul 13 2004 clahey@suse.de
- Updated to version 0.0.95.
* Mon Jun 21 2004 clahey@suse.de
- Updated to version 0.0.94.1.
* Fri Jun  4 2004 mibarra@suse.de
-  Updated to version 0.0.94.
* Mon May 24 2004 ro@suse.de
- fix lib64 issue
* Sat May 22 2004 mibarra@suse.de
- Updated to 0.0.93.
* Tue May 18 2004 clahey@suse.de
- Don't install to /opt/gnome/libexec
* Tue May 18 2004 clahey@suse.de
- Initial import of evolution-data-server.
